Bug 175100 - [PATCH] x11-fm/pcmanfm: update to 1.1.0
Summary: [PATCH] x11-fm/pcmanfm: update to 1.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kris Moore
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-07 13:00 UTC by Po-Chien Lin
Modified: 2013-01-08 16:30 UTC (History)
1 user (show)

See Also:


Attachments
pcmanfm-1.1.0.patch (3.94 KB, patch)
2013-01-07 13:00 UTC, Po-Chien Lin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Po-Chien Lin 2013-01-07 13:00:00 UTC
- Update to 1.1.0
- Add LICENSE
- Depends on ports/175099
Comment 1 Edwin Groothuis freebsd_committer 2013-01-07 13:00:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kmoore

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-01-08 16:24:17 UTC
Author: kmoore
Date: Tue Jan  8 16:24:07 2013
New Revision: 310099
URL: http://svnweb.freebsd.org/changeset/ports/310099

Log:
  Update to 1.1.0
  
  PR: 175100
  Submitted by: Po-Chien Lin <linpc@cs.nctu.edu.tw>

Modified:
  head/x11-fm/pcmanfm/Makefile
  head/x11-fm/pcmanfm/distinfo
  head/x11-fm/pcmanfm/pkg-plist

Modified: head/x11-fm/pcmanfm/Makefile
==============================================================================
--- head/x11-fm/pcmanfm/Makefile	Tue Jan  8 16:22:40 2013	(r310098)
+++ head/x11-fm/pcmanfm/Makefile	Tue Jan  8 16:24:07 2013	(r310099)
@@ -1,21 +1,18 @@
-# New ports collection makefile for:	x11-fm/pcmanfm
-# Date created:				27 March 2008
-# Whom:					Martin Tournoij <carpetsmoker@xs4all.nl>
-#
-# $Carpetsmoker: ports/x11-fm/pcmanfm/Makefile,v 1.2 2008/04/06 20:25:05 carpetsmoker Exp $
+# Created by: Martin Tournoij <carpetsmoker@xs4all.nl>
 # $FreeBSD$
-#
 
 PORTNAME=	pcmanfm
-PORTVERSION=	1.0
+PORTVERSION=	1.1.0
 CATEGORIES=	x11-fm
 MASTER_SITES=	SF/${PORTNAME}/PCManFM%20%2B%20Libfm%20%28tarball%20release%29/PCManFM/
 
 MAINTAINER=	kmoore@FreeBSD.org
 COMMENT=	PCMan File Manager
 
+LICENSE=	GPLv2
+
 LIB_DEPENDS=	startup-notification-1:${PORTSDIR}/x11/startup-notification \
-		fm-gtk.3:${PORTSDIR}/x11/libfm
+		fm-gtk.4:${PORTSDIR}/x11/libfm
 
 USE_GNOME=	gtk20
 USE_AUTOTOOLS=	libtool
@@ -26,11 +23,11 @@ LDFLAGS+=	-L${LOCALBASE}/lib
 
 MAN1=		pcmanfm.1
 
-OPTIONS=	NLS "Native Language Support (devel/gettext)" on
+OPTIONS_DEFINE=	NLS
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
-.if !defined(WITHOUT_NLS)
+.if ${PORT_OPTIONS:MNLS}
 USE_GETTEXT=	yes
 PLIST_SUB+=	NLS=""
 .else
@@ -38,4 +35,4 @@ CONFIGURE_ARGS+=--disable-nls
 PLIST_SUB+=	NLS="@comment "
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/x11-fm/pcmanfm/distinfo
==============================================================================
--- head/x11-fm/pcmanfm/distinfo	Tue Jan  8 16:22:40 2013	(r310098)
+++ head/x11-fm/pcmanfm/distinfo	Tue Jan  8 16:24:07 2013	(r310099)
@@ -1,2 +1,2 @@
-SHA256 (pcmanfm-1.0.tar.gz) = c28da37b0856424ee15aa2e1edaedeb667baeec9e6547aa3cd886237b217e4e8
-SIZE (pcmanfm-1.0.tar.gz) = 454247
+SHA256 (pcmanfm-1.1.0.tar.gz) = 1f6301f330ad648f3322708ec6c0f680a8695a9453932fe19653bab6731e5582
+SIZE (pcmanfm-1.1.0.tar.gz) = 496895

Modified: head/x11-fm/pcmanfm/pkg-plist
==============================================================================
--- head/x11-fm/pcmanfm/pkg-plist	Tue Jan  8 16:22:40 2013	(r310098)
+++ head/x11-fm/pcmanfm/pkg-plist	Tue Jan  8 16:24:07 2013	(r310099)
@@ -1,7 +1,7 @@
 bin/pcmanfm
 etc/xdg/pcmanfm/default/pcmanfm.conf
-share/applications/pcmanfm.desktop
 share/applications/pcmanfm-desktop-pref.desktop
+share/applications/pcmanfm.desktop
 %%NLS%%share/locale/ar/LC_MESSAGES/pcmanfm.mo
 %%NLS%%share/locale/be/LC_MESSAGES/pcmanfm.mo
 %%NLS%%share/locale/bg/LC_MESSAGES/pcmanfm.mo
@@ -32,6 +32,7 @@ share/applications/pcmanfm-desktop-pref.
 %%NLS%%share/locale/lg/LC_MESSAGES/pcmanfm.mo
 %%NLS%%share/locale/lt/LC_MESSAGES/pcmanfm.mo
 %%NLS%%share/locale/lv/LC_MESSAGES/pcmanfm.mo
+%%NLS%%share/locale/ms/LC_MESSAGES/pcmanfm.mo
 %%NLS%%share/locale/nl/LC_MESSAGES/pcmanfm.mo
 %%NLS%%share/locale/pa/LC_MESSAGES/pcmanfm.mo
 %%NLS%%share/locale/pl/LC_MESSAGES/pcmanfm.mo
@@ -54,35 +55,15 @@ share/applications/pcmanfm-desktop-pref.
 %%NLS%%share/locale/vi/LC_MESSAGES/pcmanfm.mo
 %%NLS%%share/locale/zh_CN/LC_MESSAGES/pcmanfm.mo
 %%NLS%%share/locale/zh_TW/LC_MESSAGES/pcmanfm.mo
-%%DATADIR%%/ui/pref.ui
-%%DATADIR%%/ui/autorun.ui
 %%DATADIR%%/ui/about.ui
+%%DATADIR%%/ui/autorun.ui
 %%DATADIR%%/ui/desktop-pref.ui
+%%DATADIR%%/ui/pref.ui
 @dirrm %%DATADIR%%/ui
 @dirrm %%DATADIR%%
+@dirrmtry share/locale/km/LC_MESSAGES
+@dirrmtry share/locale/km
+@dirrmtry share/applications
 @dirrmtry etc/xdg/pcmanfm/default
 @dirrmtry etc/xdg/pcmanfm
 @dirrmtry etc/xdg
-@dirrmtry share/applications
-@dirrmtry share/locale/bn_IN/LC_MESSAGES
-@dirrmtry share/locale/bn_IN
-@dirrmtry share/locale/fo/LC_MESSAGES
-@dirrmtry share/locale/fo
-@dirrmtry share/locale/km/LC_MESSAGES
-@dirrmtry share/locale/km
-@dirrmtry share/locale/lg/LC_MESSAGES
-@dirrmtry share/locale/lg
-@dirrmtry share/locale/si/LC_MESSAGES
-@dirrmtry share/locale/si
-@dirrmtry share/locale/sr@latin/LC_MESSAGES
-@dirrmtry share/locale/sr@latin
-@dirrmtry share/locale/te/LC_MESSAGES
-@dirrmtry share/locale/te
-@dirrmtry share/locale/th/LC_MESSAGES
-@dirrmtry share/locale/th
-@dirrmtry share/locale/tt_RU/LC_MESSAGES
-@dirrmtry share/locale/tt_RU
-@dirrmtry share/locale/ur_PK/LC_MESSAGES
-@dirrmtry share/locale/ur_PK
-@dirrmtry include/libfm/libfm
-@dirrmtry include/libfm
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Kris Moore freebsd_committer 2013-01-08 16:25:51 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!